/**********************************************************************************
*
* $Id: mbiGraduateSchool 2006-03-29 jpeterso@moody.edu $
* Modified from LetterGradePlusMinusMapping.java 1139 2005-08-11 19:32:59Z ray@media.berkeley.edu $
*
***********************************************************************************
*
* Copyright (c) 2005 The Regents of the University of California, The MIT Corporation
*
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
*
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.tool.gradebook;

import java.util.ArrayList;

/**
 * A LetterGradePlusMinusMapping defines the set of grades available to a
 * gradebook as "A", "A-", "B+", "B", "B-", "C+", "C", "C-", "D+", "D",
 * "D-", "F", "W", each of which can be mapped to a minimum percentage value.
 *
 * @author <a href="mailto:jpeterso@moody.edu">Jeremy Peterson</a>
 */
public class mbiGraduateSchool extends GradeMapping {

    public mbiGraduateSchool() {
        grades = new ArrayList();
        grades.add("A");
        grades.add("A-");
        grades.add("B+");
        grades.add("B");
        grades.add("B-");
        grades.add("C+");
        grades.add("C");
        grades.add("C-");
        grades.add("F");
        grades.add("W");
        grades.add("WP");
        grades.add("WF");
        grades.add("EX");

        defaultValues = new ArrayList();
        defaultValues.add(new Double(97));
        defaultValues.add(new Double(94));
        defaultValues.add(new Double(92));
        defaultValues.add(new Double(89));
        defaultValues.add(new Double(87));
        defaultValues.add(new Double(85));
        defaultValues.add(new Double(80));
        defaultValues.add(new Double(76));
        defaultValues.add(new Double(00));
        defaultValues.add(null);
        defaultValues.add(null);
        defaultValues.add(null);
        defaultValues.add(null);

    }

    /**
     * @see org.sakaiproject.tool.gradebook.GradeMapping#getName()
     */
    public String getName() {
        return "Graduate";
    }

}
